/*
	File:		UnitTableFloppySupport.h

	Contains:	All floppy disk specific functionality

	Version:	1.0

	Copyright:	 1999 by Apple Computer, Inc., all rights reserved.

*/

#pragma once

#include <MacTypes.h>
#include "UnitTableDriveQSupport.h"
#include "UnitTableDeviceAccess.h"

extern Boolean 		IsDriveAFloppy( SInt16 driveRefNum );

// If these routines return any OSStatus except Request Pending, then the callback routine will not be called
extern OSStatus 	FloppyControlCallSupport( UInt32 userData, CntrlParamPtr cntrlPBPtr, ControlStatusCompletionProcPtr callBack );
extern OSStatus 	FloppyStatusCallSupport( UInt32 userData, CntrlParamPtr cntrlPBPtr, ControlStatusCompletionProcPtr callBack );

// These functions are for use by the DriveQSupport module only
extern DriveQRecPtr	GetFloppyDriveRec( void );
extern void 		ResetFloppyDriveQueue(  DriveQRecPtr floppyDriveQ  );
extern OSStatus 	SetupFloppyStructures( SInt16 theDrvrRefNum );
extern OSStatus 	RemoveFloppyStructures( void );
