/*
	File:		UnitTableFunctions.h

	Contains:	This contains the function entry points for each function
				code passed to DoDriverIO.

	Version:	1.0

	Copyright:	 1999 by Apple Computer, Inc., all rights reserved.

*/

#pragma once
#include <DriverServices.h>

//----------------------------------------------------------------------------------
//	DoDriverIO Functions Prototypes - 
// 	These are the functions to carry out the requests sent to DoDriverIO
//----------------------------------------------------------------------------------

extern OSStatus DriverInitializeCmd( DriverRefNum theRefNum, RegEntryIDPtr theRegEntryPtr );
extern OSStatus DriverFinalizeCmd( DriverRefNum theRefNum, RegEntryIDPtr theRegEntryPtr );
extern OSStatus DriverSupersededCmd(  DriverRefNum theRefNum, RegEntryIDPtr theRegEntryPtr );
extern OSStatus DriverReplaceCmd( DriverRefNum theRefNum, RegEntryIDPtr theRegEntryPtr );
extern OSStatus DriverOpenCmd(ParmBlkPtr pb);
extern OSStatus DriverCloseCmd( ParmBlkPtr pb);
extern OSStatus DriverControlCmd(IOCommandID ioCommandID, ParmBlkPtr pb);
extern OSStatus DriverStatusCmd(IOCommandID ioCommandID, ParmBlkPtr pb);
extern OSStatus DriverReadCmd(IOCommandID ioCommandID, ParmBlkPtr pb);
extern OSStatus DriverWriteCmd(IOCommandID ioCommandID, ParmBlkPtr pb);
extern OSStatus DriverKillIOCmd( ParmBlkPtr pb);

